
{-
Module      :  $Header$
Description :  String representations.
Copyright   :  (c) SMART Team / HASLab
License     :  GPL

Maintainer  :  Paulo Silva <paufil@di.uminho.pt>
Stability   :  experimental
Portability :  non-portable

-}
module Language.CAO.Common.Representation where

import Language.CAO.Common.Utils

class StringRepresentation a where
    toString :: a -> String

intString :: Integer -> String
intString = ifM (>= 0) show (("neg_" ++) . show . negate)

sep :: Char
sep = '_'
