
{- |
Module      :  $Header$
Description :  Boolean operations semantics.
Copyright   :  (c) SMART Team / HASLab
License     :  GPL

Maintainer  :  Paulo Silva <paufil@di.uminho.pt>
Stability   :  experimental
Portability :  non-portable

Boolean operations semantics.
-}

module Language.CAO.Semantics.Bool 
    ( boolOr
    , boolAnd
    , boolXor
    , boolNot
    ) where

boolOr, boolAnd, boolXor :: Bool -> Bool -> Bool
boolOr  = (||)
boolAnd = (&&)
boolXor = (/=)

boolNot :: Bool -> Bool
boolNot = not

